import type { ReactElement, ScriptHTMLAttributes } from "react";
export declare enum ScriptStrategy {
    postHydrate = "post-hydrate",
    idle = "idle",
    offMainThread = "off-main-thread"
}
export interface ScriptProps extends Omit<ScriptHTMLAttributes<HTMLScriptElement>, `onLoad` | `onError`> {
    id?: string;
    strategy?: ScriptStrategy | `post-hydrate` | `idle` | `off-main-thread`;
    children?: string;
    onLoad?: (event: Event) => void;
    onError?: (event: ErrorEvent) => void;
    forward?: Array<string>;
}
export declare const scriptCache: Set<unknown>;
export declare function Script(props: ScriptProps): ReactElement | null;
